<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
/*---------------------------------------------------+
| Software Key/Password Generator
| Copyright 2005 Ian Unruh
| http://www.cgeagles.com
+----------------------------------------------------*/
include "../../maincore.php";
include BASEDIR."subheader.php";
include BASEDIR."side_left.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."key-password-gen/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."key-password-gen/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."key-password-gen/locale/English.php";
}

// Function to trim the key length
function trimkey($key, $length) {
	$dec = array("\"", "'", "\\", '\"', "\'", "<", ">");
	$enc = array("&quot;", "&#39;", "&#92;", "&quot;", "&#39;", "&lt;", "&gt;");
	$key = str_replace($enc, $dec, $key);
	if (strlen($key) > $length) $key = substr($key, 0, ($length));
	$key = str_replace($dec, $enc, $key);
	return $key;
}

opentable($locale['kpg200']);
if(isset($_POST['generate'])) {
	$i = 0; $c = $_POST['coloums']; 
	echo "<center><table>\n<tr>\n";
	while ($i < $_POST['number']) {
		if ($i % $c == 0) echo "</tr><tr>\n";
		if($_POST['key'] != "") {
			$key = rand($_POST['rand1'], $_POST['rand2']);
			$key = md5($key);
		} else {
			$key = rand($_POST['rand1'], $_POST['rand2']);
		}
		$t_before = trimkey($key, $_POST['width']);
		echo "<td>\n";
		if(($i % $c) % 2 == 0 && $_POST['bold'] == 1) echo "<b>";
		echo trim($t_before, '.');
		if(($i % $c) % 2 == 0 && $_POST['bold'] == 1) echo "</b>";
		echo "\n</td>\n";
	$i++;
	}
	echo "</tr>\n</table></center>\n";
	closetable();
} else {
	echo "<form action='".FUSION_SELF."' name='mokg' method='post'>";
	echo "<center><table>";
	echo "<tr><td>".$locale['kpg300']."</td><td><input type='textbox' name='number' class='textbox' value='50'>";
	echo "</td></tr><tr><td>";
	echo $locale['kpg301']."</td><td><input type='password' name='key' class='textbox'></td></tr>";
	echo "<tr><td>";
	echo $locale['kpg302']."</td><td><input type='textbox' name='width' class='textbox' value='10'></td></tr>";
	echo "<tr><td>";
	echo $locale['kpg303']."</td><td><input type='textbox' name='coloums' class='textbox' value='8'></td></tr>";
	echo "</table>";
	echo "<center><input type='submit' name='generate' class='button' value='".$locale['kpg304']."'>";
	echo "</center>";
	closetable();
	opensidex($locale['kpg400'], "off");
	echo "<center><table><tr><td>".$locale['kpg401']."</td><td><input type='text' name='rand1' class='textbox' value='100000'></td>";
	echo "</tr><tr><td>".$locale['kpg402']."</td><td><input type='text' name='rand2' class='textbox' value='999999'></td>";
	echo "</tr><tr><td>".$locale['kpg403']."</td><td><input type='checkbox' name='bold' class='textbox' value='1' checked></td>";
	echo "</tr></table></center>";
	closesidex();
	echo "</form>";
}


include BASEDIR."side_right.php";
include BASEDIR."footer.php";
?>